- Aldebaran documentation |
- C++ Libraries |
- index

libqipackage 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Macros Pages
Public Attributes | List of all members
qi::RobotRequirement Struct Reference

This structure defines robot requirements for this package. More...

`#include <package_info.hpp>`

## Public Attributes
std::string | model
| Model of the robot (ROBOT_TYPE_NAO, ROBOT_TYPE_JULIETTE, ROBOT_TYPE_ROMEO, ...) More...
std::string | minHeadVersion
| The minimum needed version for the head to be compatible with this package. More...
std::string | maxHeadVersion
| The maximum version of the head to be compatible with this package. More...
std::string | minBodyVersion
| The minimum version for the body to be compatible with this package. More...
std::string | maxBodyVersion
| The maximum version for the body to be compatible with this package. More...

## Detailed Description

This structure defines robot requirements for this package.

Definition at line 89 of file package_info.hpp.

## Member Data Documentation

std::string qi::RobotRequirement::maxBodyVersion

The maximum version for the body to be compatible with this package.

Definition at line 95 of file package_info.hpp.

std::string qi::RobotRequirement::maxHeadVersion

The maximum version of the head to be compatible with this package.

Definition at line 93 of file package_info.hpp.

std::string qi::RobotRequirement::minBodyVersion

The minimum version for the body to be compatible with this package.

Definition at line 94 of file package_info.hpp.

std::string qi::RobotRequirement::minHeadVersion

The minimum needed version for the head to be compatible with this package.

Definition at line 92 of file package_info.hpp.

std::string qi::RobotRequirement::model

Model of the robot (ROBOT_TYPE_NAO, ROBOT_TYPE_JULIETTE, ROBOT_TYPE_ROMEO, ...)

Definition at line 91 of file package_info.hpp.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqipackage/qipackage/package_info.hpp